use crate::entity::{Datum, Entity, EntityVisitor};

use super::EntityPart;

pub fn check_assoc<EP: EntityPart>() -> bool {
    struct Checker(bool);
    impl EntityVisitor for Checker {
        fn visit<E: Entity>(&mut self) {
            self.0 = true;
        }
    }
    let mut checker = Checker(false);
    <EP::Datum as Datum>::accept_entity_visitor(&mut checker);
    checker.0
}
